/*
 *   ORXONOX - the hottest 3D action shooter ever to exist
 *                    > www.orxonox.net <
 *
 *
 *   License notice:
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License
 *   as published by the Free Software Foundation; either version 2
 *   of the License, or (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 *   Author:
 *      Martin Polak
 *   Co-authors:
 *      simonmie
 *
 */

/**
    @file Discharger.cc
    @brief Definition of the Discharger class.
*/

#include "Discharger.h"

#include "core/CoreIncludes.h"

#include "weaponsystem/Weapon.h"
#include "weaponsystem/WeaponPack.h"
#include "weaponsystem/WeaponSystem.h"
#include "worldentities/pawns/Pawn.h"

#include "weapons/projectiles/BillboardProjectile.h"

namespace orxonox
{
    RegisterClass(Discharger);

    Discharger::Discharger(Context* context) : WeaponMode(context)
    {
        RegisterObject(Discharger);

        this->setMunitionName("LaserMunition");

        hudImageString_ = "Orxonox/WSHUD_WM_LaserFire";
    }

    void Discharger::fire()
    {
        orxout() << "fire dis " << endl;
    }
    
    bool Discharger::fire(float* reloadTime)
    {
        orxout() << "fire Discharger " << endl;
        return false;
    }
    bool Discharger::release(float* reloadTime)
    {
        orxout() << "release Discharger " << endl;
        return false;
    }
}
